class TrackingProviderProxy {
    constructor(providers) {
        this.providers = [];
        this.providers = providers;
    }
    identify(userID) {
        for (const provider of this.providers) {
            provider.identify(userID);
        }
    }
    trackSingleItem(eventName, properties) {
        for (const provider of this.providers) {
            provider.trackSingleItem(eventName, properties);
        }
    }
    trackPageView(url) {
        for (const provider of this.providers) {
            provider.trackPageView(url);
        }
    }
}
export default TrackingProviderProxy;
